Subject: Re: [RFC PATCH net-next] enable virtio_net to return bus_info in ethtool -i consistent with emulated NICs

From: Rick Jones <[email-masked]>
Date: Mon, 14 Nov 2011 16:14:34 -0800

>>> Please use the existing 'not implemented' value, which is the empty
>>> string.   If you think ethtool should print some helpful message instead
>>> of an empty string, please submit a patch for ethtool.
>>
>>
>> One question - will those actually be called via an ethtool path?  In my
>> poking about through the virtio code, I got the impression those modules
>> were for "other than networking" sorts of things.
>
> I don't know; I just assumed that was why you were adding them!  In
> other contexts such as dev_printk() this string would make even less
> sense.

Those were added to make sure there were no dangling references in the 
config_ops structure defined in those files and that the code calling 
through wouldn't go off into la-la land.  Perhaps it isn't necessary 
with Rusty's suggestion that I check ".bus_info" against NULL? But that 
is why those were there, and not simply the instance in virtio_pci.c. 
I'll spin a v2 regardless.

rick